#include <iostream>
#include <string>
using namespace std;

string poredi(string a, string b) {
	int min;
	string duzi;

	if (a.length() >= b.length()) {
		min = b.length();
		duzi = a;
	}
	else {
		duzi = b;
		min = a.length();
	}
	
	for (int i = 0;i<min;i++) {
		if (a[i]>b[i]) {
			return a;
		}
		else if (a[i]<b[i]) {
			return b;
		}
	}
	return duzi;
}


int main()
{
	unsigned long long int a;
	cout << "Unesi A: ";
	cin >> a;
	string sa = to_string(a);

	unsigned long long int b;
	cout << "Unesi B: ";
	cin >> b;
	string sb = to_string(b);

	unsigned long long int c;
	cout << "Unesi C: ";
	cin >> c;
	string sc = to_string(c);

	string prvi, drugi, treci, k;
	int minLength=0;

	if ((sa.length() >= sb.length()) && (sb.length() <= sc.length())) {
		minLength = sb.length();
	}
	else if ((sb.length() >= sa.length())&& (sa.length() <= sc.length())) {
		minLength = sc.length();
	}
	else if ((sa.length() >= sc.length())&& (sc.length() <= sb.length())) {
		minLength = sc.length();
	}

	for (int i = 0;i<minLength;i++) {
		if ((poredi(sa, sb) == sa) && (poredi(sa, sc) == sa)) {
			prvi = sa;
			drugi = poredi(sb, sc);
			if (drugi == sb) {
				treci = sc;
			}
			else {
				treci = sb;
			}
			k = prvi + drugi + treci;
			cout << k;
			return stoi(k);
		}
		else if ((poredi(sb, sa) == sb) && (poredi(sb, sc) == sb)) {
			prvi = sb;
			drugi = poredi(sa, sc);
			if (drugi == sa) {
				treci = sc;
			}
			else {
				treci = sa;
			}
			k = prvi + drugi + treci;
			cout << k;
			return stoi(k);
		}
		else if ((poredi(sc, sa) == sc) && (poredi(sc, sb) == sc)) {
			prvi = sc;
			drugi = poredi(sa, sb);
			if (drugi == sa) {
				treci = sb;
			}
			else {
				treci = sa;
			}
			k = prvi + drugi + treci;
			cout << k;
			return stoi(k);
		}
	}

	return 0;
}